Issue a fast code (same as POST)
Issues a fast code that associates a list of credentials to a member, identified by either member_id or member_identifier in the request body.
When the member already has an active fast code at the given store, that code is reused and its credentials are replaced. When the member has an active fast code at a different store, that code is voided and a new code is issued. The four digit code itself is always generated by Sparkfly and returned as identifier.
Body
application/json
- Properties: 4Type:fast
_code required
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for put/members/fast_codes
curl https://api-staging.sparkfly.com/v1.0/members/fast_codes \
--request PUT \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: YOUR_SECRET_TOKEN' \
--data '{
"fast_code": {
"member_id": 1,
"member_identifier": "",
"store_id": 1,
"credentials": [
{
"credential_id": 1,
"credential_identifier": "",
"offer_state_filter": [
1
]
}
]
}
}'
{
"fast_code": {
"id": 1,
"member_id": 1,
"store_id": 1,
"identifier": "4821",
"credentials": [
{
"credential_id": 1,
"credential_identifier": "string",
"offer_state_filter": [
1
]
}
],
"expires_at": "2026-10-14T03:22:02.317Z",
"created_at": "2026-10-14T03:22:02.317Z",
"updated_at": "2026-10-14T03:22:02.317Z"
}
}